import { Label, Project, QuickAddTaskResponse, Section, Task, User, RawComment, Attachment, Duration, Deadline, RawTask, RawProject } from '../types';
export declare const DEFAULT_AUTH_TOKEN = "AToken";
export declare const DEFAULT_REQUEST_ID = "ARequestID";
export declare const INVALID_ENTITY_ID = 1234;
export declare const DEFAULT_DUE_DATE: {
    isRecurring: boolean;
    string: string;
    date: string;
    lang: string;
    timezone: null;
};
export declare const DEFAULT_DURATION: Duration;
export declare const DEFAULT_DEADLINE: Deadline;
export declare const DEFAULT_QUICK_ADD_RESPONSE: QuickAddTaskResponse;
export declare const DEFAULT_TASK: Task;
export declare const INVALID_TASK: {
    due: string;
    id: string;
    projectId: string;
    sectionId: string | null;
    parentId: string | null;
    labels: string[];
    deadline: {
        date: string;
        lang: string;
    } | null;
    duration: {
        amount: number;
        unit: "minute" | "day";
    } | null;
    priority: number;
    content: string;
    description: string;
    assignerId: string | null;
    assigneeId: string | null;
    order: number;
    isCompleted: boolean;
    creatorId: string;
    createdAt: string;
    url: string;
};
export declare const TASK_WITH_OPTIONALS_AS_NULL: RawTask;
export declare const DEFAULT_PROJECT: Project;
export declare const INVALID_PROJECT: {
    name: number;
    id: string;
    parentId: string | null;
    order: number | null;
    url: string;
    color: string;
    isFavorite: boolean;
    viewStyle: string;
    isShared: boolean;
    isInboxProject: boolean;
    isTeamInbox: boolean;
};
export declare const PROJECT_WITH_OPTIONALS_AS_NULL: Project;
export declare const DEFAULT_SECTION: Section;
export declare const INVALID_SECTION: {
    projectId: undefined;
    userId: string;
    id: string;
    isDeleted: boolean;
    addedAt: string;
    updatedAt: string;
    isCollapsed: boolean;
    isArchived: boolean;
    name: string;
    archivedAt: string | null;
    sectionOrder: number;
};
export declare const DEFAULT_LABEL: Label;
export declare const INVALID_LABEL: {
    isFavorite: string;
    id: string;
    order: number | null;
    color: string;
    name: string;
};
export declare const DEFAULT_USER: User;
export declare const INVALID_USER: {
    email: undefined;
    id: string;
    name: string;
};
export declare const DEFAULT_ATTACHMENT: Attachment;
export declare const INVALID_ATTACHMENT: {
    uploadState: string;
    resourceType: string;
    url?: string | null | undefined;
    fileName?: string | null | undefined;
    fileSize?: number | null | undefined;
    fileType?: string | null | undefined;
    fileUrl?: string | null | undefined;
    fileDuration?: number | null | undefined;
    image?: string | null | undefined;
    imageWidth?: number | null | undefined;
    imageHeight?: number | null | undefined;
    title?: string | null | undefined;
};
export declare const DEFAULT_RAW_COMMENT: RawComment;
export declare const DEFAULT_COMMENT: {
    taskId: string | undefined;
    itemId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
};
export declare const INVALID_COMMENT: {
    isDeleted: string;
    id: string;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
    itemId?: string | undefined;
};
export declare const RAW_COMMENT_WITH_OPTIONALS_AS_NULL_TASK: RawComment;
export declare const COMMENT_WITH_OPTIONALS_AS_NULL_TASK: {
    taskId: string | undefined;
    itemId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
};
export declare const RAW_COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL: RawComment;
export declare const COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL: {
    taskId: string | undefined;
    itemId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
};
export declare const RAW_COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT: RawComment;
export declare const COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT: {
    taskId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
    itemId?: string | undefined;
};
export declare const RAW_DEFAULT_TASK: RawTask;
export declare const RAW_DEFAULT_PROJECT: RawProject;
