import { Color } from '../types';
export declare const berryRed: Color;
export declare const red: Color;
export declare const orange: Color;
export declare const yellow: Color;
export declare const oliveGreen: Color;
export declare const limeGreen: Color;
export declare const green: Color;
export declare const mintGreen: Color;
export declare const turquoise: Color;
export declare const skyBlue: Color;
export declare const lightBlue: Color;
export declare const blue: Color;
export declare const grape: Color;
export declare const violet: Color;
export declare const lavender: Color;
export declare const magenta: Color;
export declare const salmon: Color;
export declare const charcoal: Color;
export declare const gray: Color;
export declare const taupe: Color;
export declare const colors: readonly [Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color, Color];
export declare const defaultColor: Color;
/**
 * @private
 * @deprecated Use {@link getColorByKey} instead
 */
export declare function getColorById(colorId: number): Color;
/**
 * @private
 * @deprecated Use {@link getColorByKey} instead
 */
export declare function getColorByName(colorName: string): Color;
/**
 * Retrieves a {@link Color} object by its key identifier.
 *
 * @param colorKey - The unique key identifier of the color to find (e.g., 'berry_red', 'sky_blue')
 * @returns The matching Color object if found, otherwise returns the default color (charcoal)
 *
 * @example
 * ```typescript
 * const color = getColorByKey('berry_red');
 * console.log(color.hexValue); // '#b8255f'
 * ```
 */
export declare function getColorByKey(colorKey: string): Color;
