"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProjectFromRawProjectResponse = void 0;
var showProjectEndpoint = 'https://todoist.com/showProject';
function getProjectUrlFromProjectId(projectId) {
    return "".concat(showProjectEndpoint, "?id=").concat(projectId);
}
function getProjectFromRawProjectResponse(responseData) {
    var _a, _b;
    var project = {
        id: responseData.id,
        parentId: (_a = responseData.parentId) !== null && _a !== void 0 ? _a : null, // workspace projects do not have a parent
        order: responseData.childOrder,
        color: responseData.color,
        name: responseData.name,
        isShared: responseData.isShared,
        isFavorite: responseData.isFavorite,
        isInboxProject: (_b = responseData.inboxProject) !== null && _b !== void 0 ? _b : false, // workspace projects do not set this flag
        isTeamInbox: false, // this flag is no longer used
        url: getProjectUrlFromProjectId(responseData.id),
        viewStyle: responseData.viewStyle,
    };
    return project;
}
exports.getProjectFromRawProjectResponse = getProjectFromRawProjectResponse;
