"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTaskFromRawTaskResponse = exports.getTaskFromQuickAddResponse = void 0;
var showTaskEndpoint = 'https://todoist.com/showTask';
function getTaskUrlFromTaskId(taskId) {
    return "".concat(showTaskEndpoint, "?id=").concat(taskId);
}
function getTaskFromQuickAddResponse(responseData) {
    var _a;
    var task = {
        id: responseData.id,
        order: responseData.childOrder,
        content: responseData.content,
        description: responseData.description,
        projectId: responseData.projectId,
        sectionId: responseData.sectionId,
        isCompleted: responseData.checked,
        labels: responseData.labels,
        priority: responseData.priority,
        createdAt: responseData.addedAt,
        url: getTaskUrlFromTaskId(responseData.id),
        creatorId: (_a = responseData.addedByUid) !== null && _a !== void 0 ? _a : '',
        parentId: responseData.parentId,
        duration: responseData.duration,
        assignerId: responseData.assignedByUid,
        assigneeId: responseData.responsibleUid,
        deadline: responseData.deadline,
        due: responseData.due,
    };
    return task;
}
exports.getTaskFromQuickAddResponse = getTaskFromQuickAddResponse;
function getTaskFromRawTaskResponse(responseData) {
    var _a;
    var task = {
        id: responseData.id,
        assignerId: responseData.assignedByUid,
        assigneeId: responseData.responsibleUid,
        projectId: responseData.projectId,
        sectionId: responseData.sectionId,
        parentId: responseData.parentId,
        order: responseData.childOrder,
        content: responseData.content,
        description: responseData.description,
        isCompleted: responseData.checked,
        labels: responseData.labels,
        priority: responseData.priority,
        creatorId: (_a = responseData.addedByUid) !== null && _a !== void 0 ? _a : '',
        createdAt: responseData.addedAt,
        due: responseData.due,
        url: getTaskUrlFromTaskId(responseData.id),
        duration: responseData.duration,
        deadline: responseData.deadline,
    };
    return task;
}
exports.getTaskFromRawTaskResponse = getTaskFromRawTaskResponse;
