"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateUserArray = exports.validateUser = exports.validateCommentArray = exports.validateComment = exports.validateLabelArray = exports.validateLabel = exports.validateSectionArray = exports.validateSection = exports.validateProjectArray = exports.validateProject = exports.validateTaskArray = exports.validateTask = void 0;
var entities_1 = require("../types/entities");
var projectConverter_1 = require("./projectConverter");
var taskConverters_1 = require("./taskConverters");
function validateTask(input) {
    var rawTaskParse = entities_1.RawTaskSchema.safeParse(input);
    if (rawTaskParse.success) {
        var task = (0, taskConverters_1.getTaskFromRawTaskResponse)(rawTaskParse.data);
        return task;
    }
    return entities_1.TaskSchema.parse(input);
}
exports.validateTask = validateTask;
function validateTaskArray(input) {
    return input.map(validateTask);
}
exports.validateTaskArray = validateTaskArray;
function validateProject(input) {
    var rawProjectParse = entities_1.RawProjectSchema.safeParse(input);
    if (rawProjectParse.success) {
        var project = (0, projectConverter_1.getProjectFromRawProjectResponse)(rawProjectParse.data);
        return project;
    }
    return entities_1.ProjectSchema.parse(input);
}
exports.validateProject = validateProject;
function validateProjectArray(input) {
    return input.map(validateProject);
}
exports.validateProjectArray = validateProjectArray;
function validateSection(input) {
    return entities_1.SectionSchema.parse(input);
}
exports.validateSection = validateSection;
function validateSectionArray(input) {
    return input.map(validateSection);
}
exports.validateSectionArray = validateSectionArray;
function validateLabel(input) {
    return entities_1.LabelSchema.parse(input);
}
exports.validateLabel = validateLabel;
function validateLabelArray(input) {
    return input.map(validateLabel);
}
exports.validateLabelArray = validateLabelArray;
function validateComment(input) {
    return entities_1.CommentSchema.parse(input);
}
exports.validateComment = validateComment;
function validateCommentArray(input) {
    return input.map(validateComment);
}
exports.validateCommentArray = validateCommentArray;
function validateUser(input) {
    return entities_1.UserSchema.parse(input);
}
exports.validateUser = validateUser;
function validateUserArray(input) {
    return input.map(validateUser);
}
exports.validateUserArray = validateUserArray;
